ChangeSet 1.823.3.3, 2002/11/11 13:13:16-08:00, mdharm-usb@one-eyed-alien.net

[PATCH] usb storage: fix aborted auto-sense

This patch fixes the case of an ABORT happening during the auto-sense
processing when using the ISD-200 driver.


diff -Nru a/drivers/usb/storage/isd200.c b/drivers/usb/storage/isd200.c
--- a/drivers/usb/storage/isd200.c	Thu Nov 14 14:13:05 2002
+++ b/drivers/usb/storage/isd200.c	Thu Nov 14 14:13:05 2002
@@ -589,7 +589,9 @@
 		if (atomic_read(&us->sm_state) == US_STATE_ABORTING) {
 			US_DEBUGP("-- auto-sense aborted\n");
 			srb->result = DID_ABORT << 16;
-		} else if (result == ISD200_GOOD) {
+			return;
+		}
+		if (result == ISD200_GOOD) {
 			isd200_build_sense(us, srb);
 			srb->result = CHECK_CONDITION << 1;
 
